| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DataHistory::DataHistoryOrder Class Reference

`#include <DataHistory.h>`

List of all members.

## Detailed Description

Definition at line 29 of file DataHistory.h.

## Public Member Functions
bool | operator() (const DataHistory *lhs, const DataHistory *rhs) const
bool | operator() (const DataHistory &lhs, const DataHistory &rhs) const

## Member Function Documentation

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory * | lhs,
|  | const DataHistory * | rhs |
| ) |  |  | const`[inline]`

Definition at line 31 of file DataHistory.h.

References DataHistory::m_algHist, DataHistory::m_dataClassID, and DataHistory::m_dataKey.

    00031                                                                              {
    00032       if (lhs->m_dataClassID == rhs->m_dataClassID) {
    00033         if (lhs->m_dataKey == rhs->m_dataKey) {
    00034           return ( lhs->m_algHist < rhs->m_algHist );
    00035         } else {
    00036           return ( lhs->m_dataKey < rhs->m_dataKey );
    00037         }
    00038       } else {
    00039         return (lhs->m_dataClassID < rhs->m_dataClassID);
    00040       }
    00041
    00042     }

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory & | lhs,
|  | const DataHistory & | rhs |
| ) |  |  | const`[inline]`

Definition at line 43 of file DataHistory.h.

References DataHistory::m_algHist, DataHistory::m_dataClassID, and DataHistory::m_dataKey.

    00043                                                                              {
    00044       if (lhs.m_dataClassID == rhs.m_dataClassID) {
    00045         if (lhs.m_dataKey == rhs.m_dataKey) {
    00046           return ( lhs.m_algHist < rhs.m_algHist );
    00047         } else {
    00048           return ( lhs.m_dataKey < rhs.m_dataKey );
    00049         }
    00050       } else {
    00051         return (lhs.m_dataClassID < rhs.m_dataClassID);
    00052       }
    00053     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/DataHistory.h